Ozow Hub
GEThttps://one.ozow.com/v1/subscriptions/{subscriptionId}/transactionsProduction

List the charge instructions made under a subscription, scheduled and ad-hoc alike.

Authentication

  • OAuth 2.0
    scopessubscriptions

Path parameters

  • subscriptionId string required

    The unique identifier of the subscription.

    example497f6eca-6276-4993-bfeb-53cbbbba6f08

Query parameters

  • limit integer

    The maximum number of items to return.

    min1max50default50
  • offset integer

    The number of items to discard in this paging operation.

    min length0min0default0

Header parameters

  • X-Correlation-ID string

    Optional correlation id for the request, if not supplied a new one will be generated and passed onto all underlying requests and returned as a header.

Responses

200 OK
  • X-Correlation-ID header

    The correlation id for the request that was processed.

  • links PaginationLinks required

    The links used in pagination.

    Fields of PaginationLinks
    • self string uri

      The current page of data.

    • first string uri

      The first page of data.

    • last string uri nullable

      The last page of data. Null when the whole collection fits on one page.

    • prev string uri nullable

      The previous page of data. Null on the first page.

    • next string uri nullable

      The next page of data. Null on the last page.

    Open PaginationLinks on its own page
  • Fields of SubscriptionTransactionListItem
    • amount Amount required

      The currency and amount of the charge.

      Fields of Amount
      • currency string required

        The ISO 4217ISO 4217 The three-letter currency codes, such as ZAR for the South African rand. Always uppercase.Wikipedia current code.

        min length3max length3
      • value number float required

        The amount in the currency specified.

        min0.01
      Open Amount on its own page
    • merchantReference string required

      The merchant's reference for this individual charge.

    • bankReference string

      The reference that appears on the merchant's bank statement for this charge.

    • actionDate string date-time

      When the charge is or was due to be actioned.

    • isPayableNow boolean

      True when this is the immediate first charge requested with payableNow rather than a scheduled one.

    • createdDate string date-time

      When the instruction was created.

    Open SubscriptionTransactionListItem on its own page
  • Fields of PaginationMeta
    • totalPages integer required

      The total number of pages available.

    • totalItems integer required

      The total number of items available.

    Open PaginationMeta on its own page